be.fgov.ehealth.insurability.core.v2

## Class RecordCommonInputType

- java.lang.Object
- - be.fgov.ehealth.insurability.core.v2.RecordCommonInputType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:28:25+02:00",
                 comments="JAXB RI v2.2.11")
      public class RecordCommonInputType
      extends Object
      implements Serializable

  The "root"-type of the element.

  Java class for RecordCommonInputType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RecordCommonInputType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Reference" type="{urn:be:fgov:ehealth:insurability:core:v2}RecordReferenceType" minOccurs="0"/>
               <element name="UserReference" type="{urn:be:fgov:ehealth:insurability:core:v2}UserReferenceType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecordCommonInputType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigDecimal` | `getReference()` Gets the value of the reference property.
    `String` | `getUserReference()` Gets the value of the userReference property.
    `void` | `setReference(BigDecimal value)` Sets the value of the reference property.
    `void` | `setUserReference(String value)` Sets the value of the userReference property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecordCommonInputType

          public RecordCommonInputType()

  - ### Method Detail

    - #### getReference

          public BigDecimal getReference()

      Gets the value of the reference property.
      Returns:
        possible object is `BigDecimal`

    - #### setReference

          public void setReference(BigDecimal value)

      Sets the value of the reference property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getUserReference

          public String getUserReference()

      Gets the value of the userReference property.
      Returns:
        possible object is `String`

    - #### setUserReference

          public void setUserReference(String value)

      Sets the value of the userReference property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging generic 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.